/****************************************************************/
/*								*/
/* Help.c - this file includes the help functions		*/
/*								*/
/* 								*/
/****************************************************************/


#include <exec/types.h>
#include <intuition/intuition.h>
#include <libraries/reqtools.h>
#include <libraries/locale.h>

#include <proto/reqtools.h>
#include <proto/locale.h>

#include "Localize.h"




extern	struct  AppString { LONG   as_ID;
		 	    STRPTR as_Str;
			  };

extern	struct  AppString AppStrings[];

extern	struct	Catalog  *catalog;


/* pops up a requester for all menu items including some help text on this
** menu item
*/
void HelpOnMainMenu(UWORD menuNumber)
{
UWORD menuNum, itemNum;


  menuNum = MENUNUM(menuNumber);
  itemNum = ITEMNUM(menuNumber);


  switch (menuNum) {

    case  0:

      switch (itemNum) {

	case  0:

	  rtEZRequestTags( AppStrings[MSG_MENU0ITEM0_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  1:

	  rtEZRequestTags( AppStrings[MSG_MENU0ITEM1_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;

	case  2:

	  rtEZRequestTags( AppStrings[MSG_MENU0ITEM2_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  4:

	  rtEZRequestTags( AppStrings[MSG_MENU0ITEM4_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;

      }

      break;



    case  1:

      switch (itemNum) {

	case  0:
	case  1:
	case  2:
	case  3:
	  rtEZRequestTags( AppStrings[MSG_MENU1ITEM0_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  5:
	  rtEZRequestTags( AppStrings[MSG_MENU1ITEM5_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;

      }
      break;


    case  2:

      switch (itemNum) {

	case  0:
	  rtEZRequestTags( AppStrings[MSG_MENU2ITEM0_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  1:
	  rtEZRequestTags( AppStrings[MSG_MENU2ITEM1_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  2:
	  rtEZRequestTags( AppStrings[MSG_MENU2ITEM2_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  3:
	  rtEZRequestTags( AppStrings[MSG_MENU2ITEM3_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  4:
	  rtEZRequestTags( AppStrings[MSG_MENU2ITEM4_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  5:
	  rtEZRequestTags( AppStrings[MSG_MENU2ITEM5_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  6:
	  rtEZRequestTags( AppStrings[MSG_MENU2ITEM6_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  8:
	  rtEZRequestTags( AppStrings[MSG_MENU2ITEM8_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;

      }
      break;



    case  3:

      if (!itemNum) {
	  rtEZRequestTags( AppStrings[MSG_MENU3ITEM0_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
      }
      break;


    case  4:

      switch (itemNum) {

	case  0:

	  rtEZRequestTags( AppStrings[MSG_MENU4ITEM0_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  1:

	  rtEZRequestTags( AppStrings[MSG_MENU4ITEM1_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  2:

	  rtEZRequestTags( AppStrings[MSG_MENU4ITEM2_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  4:

	  rtEZRequestTags( AppStrings[MSG_MENU4ITEM4_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


 	case  5:

	  rtEZRequestTags( AppStrings[MSG_MENU4ITEM5_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  7:

	  rtEZRequestTags( AppStrings[MSG_MENU4ITEM7_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;

      }
      break;


    case  5:

      switch (itemNum) {

	case  0:

	  rtEZRequestTags( AppStrings[MSG_MENU5ITEM0_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	break;


	case  1:

	  rtEZRequestTags( AppStrings[MSG_MENU5ITEM1_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	break;


	case  2:

	  rtEZRequestTags( AppStrings[MSG_MENU5ITEM2_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	break;


	case  4:

	  rtEZRequestTags( AppStrings[MSG_MENU5ITEM4_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	break;


	case  6:

	  rtEZRequestTags( AppStrings[MSG_MENU5ITEM6_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  7:

	  rtEZRequestTags( AppStrings[MSG_MENU5ITEM7_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	  break;


	case  9:

	  rtEZRequestTags( AppStrings[MSG_MENU5ITEM9_HLP].as_Str,
		AppStrings[MSG_OK_GAD].as_Str,
		NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);
	break;

      }
      break;

  }


  return;
}




/* gibt fr die einzelnen Menpunkte des GAL-Checker-Mens einen
**  entsprechenden Hilfstext aus
*/
void HelpOnCheckerMenu(UWORD menuNumber)
{
UWORD menuNum, itemNum;



  menuNum = MENUNUM(menuNumber);
  itemNum = ITEMNUM(menuNumber);


  if (!menuNum && !itemNum) {

    rtEZRequestTags( AppStrings[MSG_CHKMENU0ITEM0_HLP].as_Str,
	AppStrings[MSG_OK_GAD].as_Str,
	NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);

  }


  return;
}





void Help(void)
{

  rtEZRequestTags( AppStrings[MSG_HELP_TXT].as_Str,
	AppStrings[MSG_OK_GAD].as_Str,
	NULL, NULL, RT_ReqPos, REQPOS_CENTERSCR, TAG_END);

  return;
}



